# randSeedInt | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function randSeedInt

- randSeedInt(range: number, min?: number): number

  Generates a random number using the global seed, or the current battle's seed if called via `Battle.randSeedInt`

  #### Parameters

  - range: number

    How large of a range of random numbers to choose from. If `range` <= 1, returns `min`

  - min: number = 0

    The minimum integer to pick, default `0`

  #### Returns number

  A random integer between `min` and (`min` + `range` - 1)

  - Defined in src/utils.ts:95